
Conversion Tools - Feature #1729

implement better default naming rules

10/29/2012 02:07 PM - Eric Faulhaber

Status: New Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 32.00 hours

Target version: Converted Code Improvements -

Deduplication

  

billable: No vendor_id: GCD

Description

History

#1 - 10/29/2012 02:09 PM - Eric Faulhaber

add hints support for naming overrides

resolve cross-namespace (vars, streams....) conflicts

minimize the use of disambiguating text in the names (like prefixing Frame to every frame name)

#2 - 10/31/2012 03:42 PM - Greg Shah

- Target version set to Code Improvements

#3 - 11/16/2016 12:47 PM - Greg Shah

- Target version changed from Code Improvements to Converted Code Improvements - Deduplication

#4 - 05/13/2022 10:36 AM - Greg Shah

We have a customer which commonly has an OO 4GL class name (XYZ.cls) which is the same as a temp-table name (XYZ).  This results in their

classes having the name XYZProgram while the temp-table has XYZ.  If we did not do this, then the references to the temp-table would need to be

fully qualified in the converted XYZ program (and any other program in that package or which imports that package). They want us to consider

alternatives.

<rant> Our default conversion is a slave to our evil Persistence Overlords. </rant>
